body, header, main, nav, footer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

body {
    height: 100vh;
    padding-top: 20px;
    justify-content: space-between;
    gap: 20px;
    background-color: #EDEDED;
}

header {
    gap: 14px;
}

h1 {
    color: #333333;
    font-weight: 700;
}

#api-link {
    padding: 10px 20px;
    color: #1351B4;
    border: 1px solid #1351B4;
    border-radius: 20px;
    transition:
        color 0.25s,
        border 0.25s;
}

#api-link:hover {
    color: #5893ef;
    border: 1px solid #5893ef;
}

main {
    gap: 20px;
}

h2 {
    color: #333333;
    font-weight: 400;
    border-bottom: 1px solid #BDBDBD;
    padding: 10px;
}

nav {
    gap: 10px;

    a {
        width: 250px;
        padding: 12px 20px;
        text-align: center;
        color: #FFFFFF;
        background-color: #1351b4;
        border-radius: 20px;
        transition:
            color 0.25s,
            background-color 0.25s;
    }
}

nav > a:hover {
    color: #1351b4;
    background-color: #dbe8fb;
}

footer {
    width: 100vw;
    padding: 32px;
    background-color: #0b295a;
}

#github-link {
    color: #cdcdcd;
    text-decoration: underline;
    transition: color 0.25s;
}

#github-link:hover {
    color: #FFFFFF;
}
